This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 851193 - (CVE-2012-3498) CVE-2012-3498 kernel: xen: PHYSDEVOP_map_pirq index vulnerability
CVE-2012-3498 kernel: xen: PHYSDEVOP_map_pirq index vulnerability
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120905,repor...
: Security
Depends On: 854593
Blocks: 851204
  Show dependency treegraph
 
Reported: 2012-08-23 09:21 EDT by Petr Matousek
Modified: 2015-11-06 11:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-08-23 09:21:49 EDT
PHYSDEVOP_map_pirq with MAP_PIRQ_TYPE_GSI does not range check map->index.

A malicious HVM guest kernel can crash the host.  It might also be able to read hypervisor or guest memory.

All Xen systems running HVM guests are vulnerable.  PV guests are not vulnerable.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Matthew Daley as the original reporter.
Comment 3 Petr Matousek 2012-08-23 09:29:59 EDT
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2012-09-05 07:54:09 EDT
Now public via:

http://seclists.org/oss-sec/2012/q3/380
Comment 5 Petr Matousek 2012-09-05 07:55:11 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 854593]
Comment 6 Fedora Update System 2012-09-17 14:00:19 EDT
xen-4.1.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.